Spaces

Get a collection of Git credentials

GET /api/{spaceId}/git-credentials

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • name string
    Filters credentials matching any part of the name fragment.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested Git Credentials

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Description string
    • Details object
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • RepositoryRestrictions object
    • SpaceId string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Description": "string",
      "Details": {
        "Type": "UsernamePassword"
      },
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "RepositoryRestrictions": {
        "AllowedRepositories": [
          "string"
        ],
        "Enabled": true
      },
      "SpaceId": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new Git credential

POST /api/{spaceId}/git-credentials

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • Description string
  • Details object (required)
    • Password sensitive value (required)
    • Username string (required)
      Minimum length 1.
  • Name string (required)
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

201 — Created

  • Id string
  • Links object

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "Password": {
      "HasValue": true,
      "Hint": "string",
      "NewValue": "string"
    },
    "Username": "string"
  },
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  },
  "SpaceId": "string"
}

Example Response

JSON
{
  "Id": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}

Get a collection of Git credentials

GET /api/{spaceId}/git-credentials/v1

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/v1.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • name string
    Filters credentials matching any part of the name fragment.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested Git Credentials

  • GitCredentials object
    • Id string
      Gets or sets a unique identifier for this resource.
    • ItemType string
    • Items array of object
    • ItemsPerPage integer
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • LastPageNumber integer
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • NumberOfPages integer
    • TotalResults integer

Example Response

JSON
{
  "GitCredentials": {
    "Id": "string",
    "ItemType": "string",
    "Items": [
      {
        "Description": "string",
        "Details": {},
        "Id": "string",
        "LastModifiedBy": "string",
        "LastModifiedOn": "2020-01-01T00:00:00.000Z",
        "Links": {},
        "Name": "string",
        "RepositoryRestrictions": {},
        "SpaceId": "string"
      }
    ],
    "ItemsPerPage": 0,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "LastPageNumber": 0,
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "NumberOfPages": 0,
    "TotalResults": 0
  }
}

Create a new Git credential

POST /api/{spaceId}/git-credentials/v1

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/v1.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • Description string
  • Details object (required)
    • Password sensitive value (required)
    • Username string (required)
      Minimum length 1.
  • Name string (required)
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

201 — Created

  • Id string
  • Links object

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "Password": {
      "HasValue": true,
      "Hint": "string",
      "NewValue": "string"
    },
    "Username": "string"
  },
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  },
  "SpaceId": "string"
}

Example Response

JSON
{
  "Id": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}

Get a collection of Git credentials

GET /api/{spaceId}/git-credentials/v2

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/v2.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • name string
    Filters credentials matching any part of the name fragment.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — Success

  • ItemType string
  • Items array of object
    • Description string
    • Details object
    • Id string
    • LastModifiedBy string
    • LastModifiedOn string
      Format date-time.
    • Name string
      Minimum length 1.
    • RepositoryRestrictions object
    • SpaceId string
  • ItemsPerPage integer
  • LastPageNumber integer
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "ItemType": "string",
  "Items": [
    {
      "Description": "string",
      "Details": {
        "Type": "UsernamePassword"
      },
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Name": "string",
      "RepositoryRestrictions": {
        "AllowedRepositories": [
          "string"
        ],
        "Enabled": true
      },
      "SpaceId": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastPageNumber": 0,
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new Git credential

POST /api/{spaceId}/git-credentials/v2

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/v2.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • Description string
  • Details object (required)
    • Type string (required)
      Minimum length 1.
  • Name string (required)
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

201 — Created

  • Id string

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "Type": "string"
  },
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  },
  "SpaceId": "string"
}

Example Response

JSON
{
  "Id": "string"
}

Get a specific Git credential

GET /api/{spaceId}/git-credentials/{id}

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/{id}.

Path Parameters

  • id string (required)
    Id of the Git credential to get.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Git Credential

  • Description string
  • Details object
    • Type enum
      Allowed values: UsernamePassword, Anonymous, Library, GitHub, NotSpecified, SshKey.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean
  • SpaceId string

Example Response

JSON
{
  "Description": "string",
  "Details": {
    "Type": "UsernamePassword"
  },
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  },
  "SpaceId": "string"
}

Modify an existing Git credential

PUT /api/{spaceId}/git-credentials/{id}

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/{id}.

Path Parameters

  • id string (required)
  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • Description string
  • Details object (required)
    • Password sensitive value (required)
    • Username string (required)
      Minimum length 1.
  • Id string (required)
  • Name string (required)
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the Git Credential was modified

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "Password": {
      "HasValue": true,
      "Hint": "string",
      "NewValue": "string"
    },
    "Username": "string"
  },
  "Id": "string",
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  },
  "SpaceId": "string"
}

Example Response

JSON
{}

Delete an existing Git credential

DELETE /api/{spaceId}/git-credentials/{id}

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/{id}.

Path Parameters

  • id string (required)
    Id of the Git credential to delete.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the Git Credential has been deleted

Example Response

JSON
{}

Get usage of a specific Git credential

GET /api/{spaceId}/git-credentials/{id}/usage

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/{id}/usage.

Path Parameters

  • id string (required)
    Id of the Git credential to get usage for.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Git Credential Usage

  • OtherProjects integer
  • Projects array of object
    • Name string
      Minimum length 1.
    • ProjectId string
    • RepositoryUrl string
    • Slug string
      Minimum length 1.

Example Response

JSON
{
  "OtherProjects": 0,
  "Projects": [
    {
      "Name": "string",
      "ProjectId": "string",
      "RepositoryUrl": "string",
      "Slug": "string"
    }
  ]
}

Get usage of a specific Git credential

GET /api/{spaceId}/git-credentials/{id}/usage/v1

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/{id}/usage/v1.

Path Parameters

  • id string (required)
    Id of the Git credential to get usage for.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Git Credential Usage

  • OtherProjects integer
  • Projects array of object
    • Name string
      Minimum length 1.
    • ProjectId string
    • RepositoryUrl string
    • Slug string
      Minimum length 1.

Example Response

JSON
{
  "OtherProjects": 0,
  "Projects": [
    {
      "Name": "string",
      "ProjectId": "string",
      "RepositoryUrl": "string",
      "Slug": "string"
    }
  ]
}

Get a specific Git credential

GET /api/{spaceId}/git-credentials/{id}/v1

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/{id}/v1.

Path Parameters

  • id string (required)
    Id of the Git credential to get.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Git Credential

  • GitCredential object
    • Description string
    • Details object
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • RepositoryRestrictions object
    • SpaceId string

Example Response

JSON
{
  "GitCredential": {
    "Description": "string",
    "Details": {
      "Type": "UsernamePassword"
    },
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "RepositoryRestrictions": {
      "AllowedRepositories": [
        "string"
      ],
      "Enabled": true
    },
    "SpaceId": "string"
  }
}

Modify an existing Git credential

PUT /api/{spaceId}/git-credentials/{id}/v1

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/{id}/v1.

Path Parameters

  • id string (required)
  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • Description string
  • Details object (required)
    • Password sensitive value (required)
    • Username string (required)
      Minimum length 1.
  • Id string (required)
  • Name string (required)
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the Git Credential was modified

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "Password": {
      "HasValue": true,
      "Hint": "string",
      "NewValue": "string"
    },
    "Username": "string"
  },
  "Id": "string",
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  },
  "SpaceId": "string"
}

Example Response

JSON
{}

Delete an existing Git credential

DELETE /api/{spaceId}/git-credentials/{id}/v1

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/{id}/v1.

Path Parameters

  • id string (required)
    Id of the Git credential to delete.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the Git Credential has been deleted

Example Response

JSON
{}

Get a specific Git credential

GET /api/{spaceId}/git-credentials/{id}/v2

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/{id}/v2.

Path Parameters

  • id string (required)
    Id of the Git credential to get.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Git Credential

  • GitCredential object
    • Description string
    • Details object
    • Id string
    • LastModifiedBy string
    • LastModifiedOn string
      Format date-time.
    • Name string
      Minimum length 1.
    • RepositoryRestrictions object
    • SpaceId string

Example Response

JSON
{
  "GitCredential": {
    "Description": "string",
    "Details": {
      "Type": "UsernamePassword"
    },
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Name": "string",
    "RepositoryRestrictions": {
      "AllowedRepositories": [
        "string"
      ],
      "Enabled": true
    },
    "SpaceId": "string"
  }
}

Modify an existing Git credential

PUT /api/{spaceId}/git-credentials/{id}/v2

Also reachable at /api/spaces/{spaceIdentifier}/git-credentials/{id}/v2.

Path Parameters

  • id string (required)
  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • Description string
  • Details object (required)
    • Type string (required)
      Minimum length 1.
  • Id string (required)
  • Name string (required)
    Minimum length 1.
  • RepositoryRestrictions object
    • AllowedRepositories array of string
    • Enabled boolean
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the Git Credential was modified

Example Request

JSON
{
  "Description": "string",
  "Details": {
    "Type": "string"
  },
  "Id": "string",
  "Name": "string",
  "RepositoryRestrictions": {
    "AllowedRepositories": [
      "string"
    ],
    "Enabled": true
  },
  "SpaceId": "string"
}

Example Response

JSON
{}

Get the git references that match the given rule pattern for a project

GET /api/{spaceId}/projects/{projectId}/git/refs

Also reachable at /api/spaces/{spaceIdentifier}/projects/{projectId}/git/refs.

Path Parameters

  • projectId string (required)
  • spaceId string (required)

Query Parameters

  • patterns array of string (required)
  • skip integer (required)
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer (required)
    Number of items to skip. Defaults to zero. Minimum 0.

Response

200 — Response contain a set of Git references that match the rule pattern for the project

  • References array of object
    • CanonicalName string
      Minimum length 1.
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Minimum length 1.
  • TotalCount integer

Example Response

JSON
{
  "References": [
    {
      "CanonicalName": "string",
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string"
    }
  ],
  "TotalCount": 0
}

Get a list of Spaces

GET /api/spaces

Lists all of the Spaces in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.

Query Parameters

  • ids array of string
    Comma separated list of Ids.
  • name string
    The exact name of a Space to be matched.
  • partialName string
    A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The requested list of Spaces

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • Description string
    • ExtensionSettings array of object
    • Icon object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsDefault boolean
    • IsPrivate boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • Slug string
    • SpaceManagersTeamMembers array of string
    • SpaceManagersTeams array of string
    • TaskQueueStopped boolean
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "Description": "string",
      "ExtensionSettings": [
        {}
      ],
      "Icon": {
        "Color": "string",
        "Id": "string"
      },
      "Id": "string",
      "IsDefault": true,
      "IsPrivate": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "Slug": "string",
      "SpaceManagersTeamMembers": [
        "string"
      ],
      "SpaceManagersTeams": [
        "string"
      ],
      "TaskQueueStopped": true
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create a new Space

POST /api/spaces

Request Body

  • Description string
  • IsDefault boolean
  • Name string (required)
    Minimum length 1. Maximum length 50.
  • Slug string
    Maximum length 50.
  • SpaceManagersTeamMembers array of string (required)
  • SpaceManagersTeams array of string (required)
  • TaskQueueStopped boolean

Response

201 — Created

  • Description string
  • ExtensionSettings array of object
    • ExtensionId string
    • Values string
  • Icon object
    • Color string
      Icon background colour, as a Hex string.
    • Id string
      Font Awesome Icon Id.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDefault boolean
  • IsPrivate boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • Slug string
  • SpaceManagersTeamMembers array of string
  • SpaceManagersTeams array of string
  • TaskQueueStopped boolean

Example Request

JSON
{
  "Description": "string",
  "IsDefault": true,
  "Name": "string",
  "Slug": "string",
  "SpaceManagersTeamMembers": [
    "string"
  ],
  "SpaceManagersTeams": [
    "string"
  ],
  "TaskQueueStopped": true
}

Example Response

JSON
{
  "Description": "string",
  "ExtensionSettings": [
    {
      "ExtensionId": "string",
      "Values": "string"
    }
  ],
  "Icon": {
    "Color": "string",
    "Id": "string"
  },
  "Id": "string",
  "IsDefault": true,
  "IsPrivate": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Slug": "string",
  "SpaceManagersTeamMembers": [
    "string"
  ],
  "SpaceManagersTeams": [
    "string"
  ],
  "TaskQueueStopped": true
}

Get a list of Spaces

GET /api/spaces/all

Lists all Spaces. The results will be sorted alphabetically by name.

Query Parameters

  • partialName string
    A partial or complete name to search on. This will perform a contains style match against the supplied name or name-fragment.

Response

200 — The requested list of Spaces

  • Description string
  • ExtensionSettings array of object
    • ExtensionId string
    • Values string
  • Icon object
    • Color string
      Icon background colour, as a Hex string.
    • Id string
      Font Awesome Icon Id.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDefault boolean
  • IsPrivate boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • Slug string
  • SpaceManagersTeamMembers array of string
  • SpaceManagersTeams array of string
  • TaskQueueStopped boolean

Example Response

JSON
[
  {
    "Description": "string",
    "ExtensionSettings": [
      {
        "ExtensionId": "string",
        "Values": "string"
      }
    ],
    "Icon": {
      "Color": "string",
      "Id": "string"
    },
    "Id": "string",
    "IsDefault": true,
    "IsPrivate": true,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "Slug": "string",
    "SpaceManagersTeamMembers": [
      "string"
    ],
    "SpaceManagersTeams": [
      "string"
    ],
    "TaskQueueStopped": true
  }
]

Create a new Space

POST /api/spaces/v1

Request Body

  • Description string
  • IsDefault boolean
  • Name string (required)
    Minimum length 1. Maximum length 50.
  • Slug string
    Maximum length 50.
  • SpaceManagersTeamMembers array of string (required)
  • SpaceManagersTeams array of string (required)
  • TaskQueueStopped boolean

Response

201 — Created

  • Space object
    • Description string
    • ExtensionSettings array of object
    • Icon object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsDefault boolean
    • IsPrivate boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
    • Slug string
    • SpaceManagersTeamMembers array of string
    • SpaceManagersTeams array of string
    • TaskQueueStopped boolean

Example Request

JSON
{
  "Description": "string",
  "IsDefault": true,
  "Name": "string",
  "Slug": "string",
  "SpaceManagersTeamMembers": [
    "string"
  ],
  "SpaceManagersTeams": [
    "string"
  ],
  "TaskQueueStopped": true
}

Example Response

JSON
{
  "Space": {
    "Description": "string",
    "ExtensionSettings": [
      {
        "ExtensionId": "string",
        "Values": "string"
      }
    ],
    "Icon": {
      "Color": "string",
      "Id": "string"
    },
    "Id": "string",
    "IsDefault": true,
    "IsPrivate": true,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "Slug": "string",
    "SpaceManagersTeamMembers": [
      "string"
    ],
    "SpaceManagersTeams": [
      "string"
    ],
    "TaskQueueStopped": true
  }
}

Get a Space by ID

GET /api/spaces/{id}

Path Parameters

  • id string (required)
    ID of the Space to load.

Response

200 — Returns a space

  • Description string
  • ExtensionSettings array of object
    • ExtensionId string
    • Values string
  • Icon object
    • Color string
      Icon background colour, as a Hex string.
    • Id string
      Font Awesome Icon Id.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDefault boolean
  • IsPrivate boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • Slug string
  • SpaceManagersTeamMembers array of string
  • SpaceManagersTeams array of string
  • TaskQueueStopped boolean

Example Response

JSON
{
  "Description": "string",
  "ExtensionSettings": [
    {
      "ExtensionId": "string",
      "Values": "string"
    }
  ],
  "Icon": {
    "Color": "string",
    "Id": "string"
  },
  "Id": "string",
  "IsDefault": true,
  "IsPrivate": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Slug": "string",
  "SpaceManagersTeamMembers": [
    "string"
  ],
  "SpaceManagersTeams": [
    "string"
  ],
  "TaskQueueStopped": true
}

Update a Space

PUT /api/spaces/{id}

Path Parameters

  • id string (required)

Request Body

  • Description string
  • Id string (required)
  • IsDefault boolean (required)
  • Name string (required)
    Minimum length 1. Maximum length 50.
  • Slug string
    Maximum length 50.
  • SpaceManagersTeamMembers array of string (required)
  • SpaceManagersTeams array of string (required)
  • TaskQueueStopped boolean (required)

Response

200 — Confirmation that the Space was modified, contains the updated Space

  • Description string
  • ExtensionSettings array of object
    • ExtensionId string
    • Values string
  • Icon object
    • Color string
      Icon background colour, as a Hex string.
    • Id string
      Font Awesome Icon Id.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDefault boolean
  • IsPrivate boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • Slug string
  • SpaceManagersTeamMembers array of string
  • SpaceManagersTeams array of string
  • TaskQueueStopped boolean

Example Request

JSON
{
  "Description": "string",
  "Id": "string",
  "IsDefault": true,
  "Name": "string",
  "Slug": "string",
  "SpaceManagersTeamMembers": [
    "string"
  ],
  "SpaceManagersTeams": [
    "string"
  ],
  "TaskQueueStopped": true
}

Example Response

JSON
{
  "Description": "string",
  "ExtensionSettings": [
    {
      "ExtensionId": "string",
      "Values": "string"
    }
  ],
  "Icon": {
    "Color": "string",
    "Id": "string"
  },
  "Id": "string",
  "IsDefault": true,
  "IsPrivate": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "Slug": "string",
  "SpaceManagersTeamMembers": [
    "string"
  ],
  "SpaceManagersTeams": [
    "string"
  ],
  "TaskQueueStopped": true
}

Delete an existing Space

DELETE /api/spaces/{id}

Path Parameters

  • id string (required)
    Id of the Space to be deleted.

Response

200 — Success

Get the logo for the space with the given space ID

GET /api/spaces/{id}/logo

Gets the logo associated with the space.

Path Parameters

  • id string (required)
    The ID of the space.

Response

200 — Success

Example Response

JSON
"string"

Modify the logo of the space with the given space ID

POST /api/spaces/{id}/logo

Modifies the logo associated with the space.

Path Parameters

  • id string (required)
    The ID of the space.

Response

200 — Success

Modify the logo of the space with the given space ID

PUT /api/spaces/{id}/logo

Modifies the logo associated with the space.

Path Parameters

  • id string (required)
    The ID of the space.

Response

200 — Success

Search in the supplied Octopus Deploy Space using the given keyword

GET /api/{spaceId}/spaces/{id}/search

Also reachable at /api/spaces/{id}/search, /api/spaces/{spaceIdentifier}/spaces/{id}/search.

Path Parameters

  • id string (required)
    ID of the Space to search.
  • spaceId string (required)

Query Parameters

  • keyword string (required)
    A keyword to search. Example: ABC.

Response

200 — The requested Space Search Results

  • Id string
    Minimum length 1.
  • Name string
    Minimum length 1.
  • Owner object
    • Name string
      Minimum length 1.
    • Type string
      Minimum length 1.
  • Type string
    Minimum length 1.

Example Response

JSON
[
  {
    "Id": "string",
    "Name": "string",
    "Owner": {
      "Name": "string",
      "Type": "string"
    },
    "Type": "string"
  }
]

Delete an existing Space

DELETE /api/spaces/{id}/v1

Path Parameters

  • id string (required)
    Id of the Space to be deleted.

Response

200 — Empty response indicating the Space was deleted

Example Response

JSON
{}

Get a list of spaces available to the current authenticated user only

GET /api/users/{id}/spaces

Path Parameters

  • id string (required)
    ID of the user whose spaces we are looking up.

Response

200 — The requested list of Spaces available to the user

  • Description string
  • ExtensionSettings array of object
    • ExtensionId string
    • Values string
  • Icon object
    • Color string
      Icon background colour, as a Hex string.
    • Id string
      Font Awesome Icon Id.
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDefault boolean
  • IsPrivate boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
  • Slug string
  • SpaceManagersTeamMembers array of string
  • SpaceManagersTeams array of string
  • TaskQueueStopped boolean

Example Response

JSON
[
  {
    "Description": "string",
    "ExtensionSettings": [
      {
        "ExtensionId": "string",
        "Values": "string"
      }
    ],
    "Icon": {
      "Color": "string",
      "Id": "string"
    },
    "Id": "string",
    "IsDefault": true,
    "IsPrivate": true,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "Slug": "string",
    "SpaceManagersTeamMembers": [
      "string"
    ],
    "SpaceManagersTeams": [
      "string"
    ],
    "TaskQueueStopped": true
  }
]